Subject: Re: [bug#55423] [PATCH]: gnu: Add mogan.

From: Zhu Zihao <[email-masked]>
Date: Sun, 15 May 2022 21:56:31 +0800

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Zhu Zihao schreef op zo 15-05-2022 om 11:21 [+0800]:
>> +    (home-page "https://gitee.com/XmacsLabs/mogan")))
>
> Appears to be a mirror for <https://github.com/XmacsLabs/mogan>.

These two repositories are equal with each others. There's no "main"
repository and "mirror" repository difference. 

> Also, what kind of fork is this?  Is the idea to (eventually) merge the
> fixes and features into upstream, or are they going separate ways, or
> ...?  Basically, why package the fork (which comes with some technical
> and social cost) instead of working with upstream?
>
> Not saying it's forbidden to package forks, but rather for me the
> default option is to only package upstream.

This fork is created by Darcy Shen(sadhen), the maintainer of GNU
TeXmacs. IIUC, Shen feels GNU TeXmacs is more scientist oriented, so he
want Mogan to be programmer oriented[*]. For details, we'd better to ask
Shen directly.

I guess Shen is unhappy with the slow development progress of texmacs,
he created a fork to add the features he wanted to add to texmacs.

[*]: https://zhuanlan.zhihu.com/p/447372210 (Simplified Chinese)
>
>> + Its goal is to customize GNU TeXmacs for everyone to enjoy it
>> + fluently and develop new feature for everyone to learn and create
>> + science and technology.
>
> This description sort-of suggests TeXmacs doesn't want everyone to
> enjoy it and such, which I don't think is good for relations with
> upstream.  Maybe like ‘(guix)Synopsis and Descriptions’ suggests, write
> about some use cases and features (that were added by the fork)?

OK, I'll change it to more netural words.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]

-- 
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao